<?php

namespace app\controller\PatientAPP;

use support\Request;
use support\Response;
use support\View;


/**
 * 基类控制器
 * @Author: Lwei<1750433663@qq.com>
 * @Date: 2026-05-07
 * @Time: 20:08:26
 */
class PageController
{
    public function __construct()
    {
        //赋值全局JS变量
        $GlobalJS = think_view(dirname(__DIR__, 2) . DIRECTORY_SEPARATOR . 'view' . DIRECTORY_SEPARATOR . 'PatientAPP' . DIRECTORY_SEPARATOR . 'GlobalJS.js');
        View::assign('GlobalJS',$GlobalJS->rawBody());
    }
}
